//Radio分类选择可以多选和单选。
//开始时：
//  先把Radio分类结构保存在数组中
//  结构为：RadioArr(分类1,分类2,...)
////////////////////////////////////////////////////////////////////
//RadioSelectedArr为保存了已经选择了的分类
var RadioSelectedArr=new Array();
//下面是根据RadioArr显示分类选择框的函数
function DisplaySelectByRadioArr(SelectName,Size,IsMult,SelectWidth,HaveSpace){
 //IsMult：是否多选,HaveSpace:前面后空的选择
 var A="";
 A=A+"<Select Name=\""+SelectName+"\" Size="+Size+" style=\"width:"+SelectWidth+";\"";
 if(IsMult==1){
  A=A+" multiple";
 }
 A=A+">";
 if(HaveSpace==1){
  A=A+"<option value=\"\"></option>";
 }
 var i;
 for(i in RadioArr){
  A=A+"<option value=\""+RadioArr[i]+"\""+InRadioSelectedArr(RadioArr[i])+">"+"■"+RadioArr[i]+"</option>";
 }
 A=A+"</Select>";
 return A;
}
///////////////////////////////////////////////////////
//下面的函数是当SelectValue在RadioSelectedArr中存在时，返回" selected",否则返回""
function InRadioSelectedArr(SelectValue){
 var i;
 for(i in RadioSelectedArr){
  if(SelectValue==RadioSelectedArr[i]){
   return " selected";
  }
 }
 return "";
}
////////////////////////////////////////////////////////
//把被选的分类(用,分开的字符串)加到数组RadioSelectedArr中
function AdjustRadioSelectedArr(ClassStr){
 RadioSelectedArr=new Array();
 var S=ClassStr.split(",");
 var i;
 for(i in S){
  if(S[i]!=""){
   RadioSelectedArr.push(S[i]);
  }
 }
}
//////////////////////////////////////////////////////////
//把分类选择框中的分类连成串
function GetClassStr(FormName,SelectName){
 var SelectOB=eval(FormName+"."+SelectName);
 var A="";
 var optionlen=SelectOB.options.length;
 for(var i=optionlen-1;i>=0;--i){
  if(SelectOB.options(i).selected&SelectOB.options(i).value!=""){
   if(A==""){
    A=SelectOB.options(i).value;
   }else{
    A=A+","+SelectOB.options(i).value;
   }
  }
 }
 return A;
}
///////////////////////////////////////////////////
//下面是把被选的值返回给父窗口的函数
function ToParentWin(FormNameParent,InputNameParent,FormNameLoc,SelectNameLoc){
 if(FormNameParent==""){
  var ParentInputOB=eval("opener."+InputNameParent);
 }else{
  var ParentInputOB=eval("opener."+FormNameParent+"."+InputNameParent);
 }
 ParentInputOB.value=GetClassStr(FormNameLoc,SelectNameLoc);
}
